siderealTime {oce} | R Documentation

## Convert a POSIXt time to a sidereal time

### Description

Convert a POSIXt time to a sidereal time, using the method in Chapter 7 of Meeus (1982). The small correction that he discusses after his equation 7.1 is not applied here.

### Usage

    siderealTime(t)

### Arguments

`t` | a time, in POSIXt format, e.g. as created by `as.POSIXct`, `as.POSIXlt`, or `numberAsPOSIXct`. If this is provided, the other arguments are ignored.

### Value

A sidereal time, in hours in the range from 0 to 24.

### Author(s)

Dan Kelley

### References

Meeus, Jean, 1982. Astronomical formuae for Calculators. Willmann-Bell. Richmond VA, USA. 201 pages

### See Also

Other things related to astronomy: `eclipticalToEquatorial`, `equatorialToLocalHorizontal`, `julianCenturyAnomaly`, `julianDay`, `moonAngle`, `sunAngle`

### Examples

    t <- ISOdatetime(1978, 11, 13, 0, 0, 0, tz="UTC")
    print(siderealTime(t))

[Package oce version 0.9-22 Index]